<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContractEblaghMelisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_eblagh_melis', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('province_id');
            $table->string('province_fa');
            $table->integer('office_id');
            $table->string('office_fa');
            $table->string('unit_fa');
            $table->integer('unit_id');
            $table->string('tarh_number');
            $table->string('credit_eblagh');
            $table->string('credit_public');
            $table->string('credit_public_type_id');
            $table->string('credit_public_type_fa');
            $table->string('credit_public_describe');
            $table->string('credit_eblagh_other');
            $table->string('credit_takhsis_other');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_eblagh_melis');
    }
}
